require 'rbconfig'
require 'ftools'

def is_win32?
  RUBY_PLATFORM =~  /win32/
end


dst_dir = Config::CONFIG['sitelibdir']
Dir.chdir('lib') { 
  Dir['**/*'].reject {|f|  not File.file?(f) }.each {|file|
    File.mkpath File.join(dst_dir, File.dirname(file)), true
    File.install file, File.join(dst_dir, file), 0644, true
  }
}

# Install bin
path = File.expand_path( File.dirname( __FILE__ ) ) 
 




File.install 'bin/delinquent', File.join(Config::CONFIG['bindir'], 'delinquent'), 0755, true

if is_win32?
  warn( "Installing Windows CMD file to #{ Config::CONFIG['bindir'] } ... " )
  File.install 'bin/delinquent.cmd', File.join(Config::CONFIG['bindir'], 'delinquent.cmd'), 0755, true  
end

